export default (path, urlParams, data) => {
  if (urlParams) {
    const urlParamKey = Object.keys(urlParams)[0];
    const urlParamValue = Object.values(urlParams)[0];
    const dataKey = path.replace(`:${urlParamKey}`, '');

    return { [dataKey]: {
      [urlParamValue]: data },
    };
  }

  return { [path]: data };
};
